Package org.gradle.api.artifacts

# Class ResolveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.internal.exceptions.DefaultMultiCauseException
org.gradle.api.artifacts.ResolveException

All Implemented Interfaces:
  `Serializable`, `org.gradle.internal.exceptions.MultiCauseException`

public class ResolveException extends org.gradle.internal.exceptions.DefaultMultiCauseException

A `ResolveException` is thrown when dependency resolution fails for some reason.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResolveException(String resolveContext, Iterable<? extends Throwable> causes)`
`ResolveException(String resolveContext, Throwable cause)`

## Method Summary

### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

`getCause, getCauses, initCause, initCauses, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResolveException

public ResolveException(String resolveContext, Throwable cause)

### ResolveException

public ResolveException(String resolveContext, Iterable<? extends Throwable> causes)